body {
    background-color: lightgray;
    overflow: hidden;
}


#title {
    display: inline-block;
    margin:8px;
}





#gitlab {
    display: inline-block;
    float: right;
    border-bottom-left-radius: 10px;
    background-color: purple;
    margin: 0px;
    padding: 3px; 
}

#gitlab a {
    font-size: 12px;
    color: white;
}



#wrapper {
    width: 100%;
    margin: 0px;
    padding: 0px;
    vertical-align: text-top;
}


#palettePanel {
    display: inline-block;
    vertical-align: text-top;
    max-width: 150px;
}


#palette {
    display: inline-block;
    vertical-align: text-top;
    max-width: 150px;
}




#codePanel {
    display: inline-block;
    vertical-align: text-top;
    resize: horizontal;
    width: 50%;
}


#input {
    vertical-align: text-top;
}


.CodeMirror {
    vertical-align: text-top;
} 






#svgPanel {
    display:inline-block;
    vertical-align: text-top;
}


#output {
    overflow: scroll;
    overflow-x:scroll;
    white-space: nowrap;
    width: 100%;
    height:70%;
}



#animationControl {
    width: 100%;
    vertical-align: top;
    height: 30%;
}

#slidertimeline {
    display: inline-block;
    width: calc(100% - 60px);
}


#timelineWrapper {
    height: 100%;
    width: 100%;
    overflow-y:auto;
}


#slider {
    display: inline-block;
    width: 100%;
}

#t {
    display: inline-block;
    font-size: 11px;
    margin: 10px;
}


button {
    padding: 0px;
}






#output svg {
	border-style: solid;
	border-width: 1px;
    background-color: white;
}






#timeline {

    width: 100%;
}



.timelineunselected {
    fill:rgb(94, 162, 240);
    stroke-width:1.5;
    stroke: black;
}
.timelineselected {
    fill:rgb(76, 126, 184);
    stroke-width:1.5;
    stroke: black;
}

.timelineverticalline {
    stroke: gray;
    stroke-width:1;
    
}

#timelineverticallinecurrent {
    stroke: red;
    stroke-width:1;
}



button {
    vertical-align: top;
}



@keyframes shake {
    0% { transform: translate(1px, 1px) rotate(0deg); }
    10% { transform: translate(-1px, -2px) rotate(-1deg); }
    20% { transform: translate(-3px, 0px) rotate(1deg); }
    30% { transform: translate(3px, 2px) rotate(0deg); }
    40% { transform: translate(1px, -1px) rotate(1deg); }
    50% { transform: translate(-1px, 2px) rotate(-1deg); }
    60% { transform: translate(-3px, 1px) rotate(0deg); }
    70% { transform: translate(3px, 1px) rotate(-1deg); }
    80% { transform: translate(-1px, -1px) rotate(1deg); }
    90% { transform: translate(1px, 2px) rotate(0deg); }
    100% { transform: translate(1px, -2px) rotate(-1deg); }
  }










